# keystone.identity.id_generators.sha256 module

class keystone.identity.id_generators.sha256.Generator

  Bases: `IDGenerator`

  generate_public_ID(mapping)

    Return a Public ID for the given mapping dict.

    Parameters:

      mapping (dict) – The items to be hashed.

    The ID must be reproducible and no more than 64 chars in length. The ID generated should be independent of the order of the items in the mapping dict.

this page last updated: 2026-06-11 21:52:50

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug